@echo off
pushd .
%~d0
cd %~dp0

setlocal
REM //////////////////////////////////////////////////////
REM     NEC Express5800/320Fa, 320Fb series
REM
REM     Copyright (C) 2006-2008 NEC Corporation.
REM     All rights reserved.
REM //////////////////////////////////////////////////////

set MY_HASROOT=%HasRoot%
if defined HasRoot (
	echo %MY_HASROOT% | findstr "\".*\"" > nul && goto PATH_QUOTED
	set MY_HASROOT="%MY_HASROOT%"
) else (
	set MY_HASROOT="%ProgramFiles%"\NEC\HAS_SW
)

echo HASVMS Alert table setup prepare >> %MY_HASROOT%\LOG\HASSETUP.LOG
echo HASVMS   %DATE% %TIME% >> %MY_HASROOT%\LOG\HASSETUP.LOG
echo HASVMS   MY_HASROOT: %MY_HASROOT% >> %MY_HASROOT%\LOG\HASSETUP.LOG

:PATH_QUOTED
set AlertTablePath=%MY_HASROOT%\REPTBL
set AlertReg=.\ALERT.REG
set AlertPackage=.\ALERT.CAB

echo HASVMS   AlertTablePath : %AlertTablePath%  >> %MY_HASROOT%\LOG\HASSETUP.LOG
echo HASVMS   AlertReg :       %AlertReg%  >> %MY_HASROOT%\LOG\HASSETUP.LOG
echo HASVMS   AlertPackage :   %AlertPackage%  >> %MY_HASROOT%\LOG\HASSETUP.LOG

:ALERTTABLE_SETUP
echo HASVMS Alert table setup started
expand %AlertPackage% -r -f:*.* %AlertTablePath%
regedit /s %AlertReg%
echo HASVMS Alert table setup completed
echo HASVMS   %DATE% %TIME% >> %MY_HASROOT%\LOG\HASSETUP.LOG
echo HASVMS Alert table setup completed >> %MY_HASROOT%\LOG\HASSETUP.LOG

popd

pause
